<template>
    <div class="container">
        <div class="card">
            <div class="title">{{info.title}}</div>
            <div class="secondTitle">{{info.secondTitle}}</div>
            <div class="time">{{info.publishTime}}</div>

            <div class="content" v-html="info.content"></div>

        </div>

    </div>
</template>

<script>

    export default {
        name: "info",
        components:{

        },
        data(){
            return {

                searchParams: {},


                info:{},
                noticeId:''

            }
        },
        methods:{

            handleSearch(){
                let noticeId = this.noticeId;
                this.$api.getNoticeInfoById({
                    noticeId,
                }).then(res => {
                    console.log(res)
                    this.info = res.content;
                })
            }

        },
        mounted() {


            this.noticeId= this.$route.params.id.toString();
            this.handleSearch()



        }
    }
</script>

<style lang="less" scoped>
     .title{

         text-align: center;
         font-size: 24px;
         color: #333;
         font-weight: 700;
     }
     .secondTitle{
         text-align: center;
         font-size: 16px;
         margin-top: 10px;
         color: #666;
         font-weight: 400;
     }
     .time {

         text-align: center;
         font-size: 14px;
         margin-top: 10px;
         color: #666;
         font-weight: 400;

     }
     .content{
         text-indent:2em;
     }
</style>
